Bug 81541 - aic7xxx streaming errors "scsi0: PCI error Interrupt at seqaddr = 0x89"
aic7xxx streaming errors "scsi0: PCI error Interrupt at seqaddr = 0x89"
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-10 00:25 EST by Kenneth H. Riley
Modified: 2007-04-18 12:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from dmesg (15.20 KB, text/plain)
2003-01-10 23:42 EST, Kenneth H. Riley
no flags Details
Boot messages captured at a serial console. (10.87 KB, text/plain)
2003-01-13 19:06 EST, Kenneth H. Riley
no flags Details
Boot messages captured at a serial console (11.43 KB, text/plain)
2003-01-23 00:51 EST, Kenneth H. Riley
no flags Details
messages during aic7xxx-6.2.28-rh80.i686.rpm install (1.99 KB, text/plain)
2003-01-23 00:58 EST, Kenneth H. Riley
no flags Details
Output of lspci -vv after booting with aic7xxx-6.2.28 driver (2.94 KB, text/plain)
2003-01-27 20:04 EST, Kenneth H. Riley
no flags Details

  None (edit)
Description Kenneth H. Riley 2003-01-10 00:25:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Since installing RH8.0 I've noticed that the /var/log/messages file is
filling up with the following streaming error messages:

scsi0: PCI error Interrupt at seqaddr = 0x8a
scsi0: Data Parity Error Detected during address or write data phase
scsi0: PCI error Interrupt at seqaddr = 0x89
scsi0: Data Parity Error Detected during address or write data phase
scsi0: PCI error Interrupt at seqaddr = 0x6b
scsi0: Data Parity Error Detected during address or write data phase
scsi0: PCI error Interrupt at seqaddr = 0x1a3

I have to kill klogd just to keep the messages file from growing huge.
These scsi errors are streaming into the messages file at the rate of
120K per minute or 7.2MB per hour.  In one day, the messages file
grows by 172MB!  If I don't kill klogd my /var file system becomes 
100% full!  My system appears to operate OK other than these error
messages filling up /var/log/messages.

I have an Intel Premiere/PCI-II (Plato) mother board and my scsi
card appears to get recognized OK:

scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 6.2.8
        <Adaptec 29160 Ultra160 SCSI adapter>
        aic7892: Ultra160 Wide Channel A, SCSI Id=7, 32/253 SCBs



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot RH 8.0 linux
2.
3.
    

Actual Results:  Thee /var/log/messages files fills with streaming error
messgaes above.

Expected Results:  There should not be streaming error messages from module aic7xxx.

Additional info:
Comment 1 Justin T. Gibbs 2003-01-10 19:16:23 EST
There are several chipsets that seem to elicit PCI parity error interrupts
from the aic7xxx chips.  The question that I've never been able to answer,
however, is if the parity errors are real or not.  We don't have any hardware
that seems to trigger this problem otherwise I would simply stick on our
PCI bus analyzer and figure this out for good.  What may help me is to know
the chipset used on your system.  A dmesg and an lspci -v dump should give
me that info.
Comment 2 Kenneth H. Riley 2003-01-10 23:42:09 EST
Created attachment 89298 [details]
output from dmesg

The output from dmesg contains only error messages from aic7xxx
Comment 3 Kenneth H. Riley 2003-01-10 23:45:25 EST
Here is the output from lspci -v :

[root@kenyatta root]# lspci -v
00:00.0 Host bridge: Intel Corp. 82434LX [Mercury/Neptune] (rev 11)
        Flags: bus master, slow devsel, latency 64

00:01.0 IDE interface: Micron FDC 37C665 (rev 01) (prog-if 00 [])
        Flags: fast devsel
        I/O ports at 01f0 [size=8]
        I/O ports at 03f4 [size=4]

00:02.0 Non-VGA unclassified device: Intel Corp. 82378IB [SIO ISA Bridge] (rev 43)
        Flags: bus master, medium devsel, latency 0

00:06.0 SCSI storage controller: Adaptec AIC-7892A U160/m (rev 02)
        Subsystem: Adaptec 29160 Ultra160 SCSI Controller
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 15
        BIST result: 00
        I/O ports at fc00 [disabled] [size=256]
        Memory at ffbff000 (64-bit, non-prefetchable) [size=4K]
        Expansion ROM at fe000000 [disabled] [size=128K]
        Capabilities: [dc] Power Management version 2

00:0c.0 VGA compatible controller: ATI Technologies Inc 3D Rage Pro 215GP (rev
5c) (prog-if 00 [VGA])
        Subsystem: ATI Technologies Inc Rage Pro Turbo
        Flags: bus master, stepping, medium devsel, latency 66
        Memory at a0000000 (32-bit, prefetchable) [size=16M]
        I/O ports at e000 [size=256]
        Memory at a1000000 (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at fe000000 [disabled] [size=128K]

00:0e.0 Ethernet controller: Accton Technology Corporation SMC2-1211TX (rev 10)
        Subsystem: Accton Technology Corporation EN-1207D Fast Ethernet Adapter
        Flags: bus master, medium devsel, latency 66, IRQ 11
        I/O ports at f800 [size=256]
        Memory at ffbfec00 (32-bit, non-prefetchable) [size=256]
        Expansion ROM at fe000000 [disabled] [size=64K]
        Capabilities: [50] Power Management version 2
Comment 4 Justin T. Gibbs 2003-01-13 12:50:29 EST
As for the dmesg, you will need to get it right after boot, or capture
the boot messages from /var/log/messages or via a serial console.  I'm looking
for the driver initialization messages, not the error messages. 8-)

--
Justin
Comment 5 Kenneth H. Riley 2003-01-13 19:06:54 EST
Created attachment 89343 [details]
Boot messages captured at a serial console.
Comment 6 Justin T. Gibbs 2003-01-21 19:30:24 EST
In version 6.2.28 of the aic7xxx driver, PCI parity error reporting has
been disabled by default.  This is the same behavior as the 5.X.X driver.
You can toggle PCI parity error reporting via the "pci_parity" driver option.
RPM updates for 6.2.28 can be found at:

http://people.freebsd.org/~gibbs/linux/RPM/aic7xxx/

Driver update diskettes for 6.2.28 can be found at:

http://people.freebsd.org/~gibbs/linux/DUD/aic7xxx/
Comment 7 Kenneth H. Riley 2003-01-21 23:32:45 EST
I tried installing the aic7xxx-6.2.28 rpm and got the following message:

[root@kenyatta rpm]# rpm -Uvh aic7xxx-6.2.28-rh80.i686.rpm
Preparing...                ########################################### [100%]
        package aic7xxx-6.2.28-1 is intended for a i686 architecture

Since I have a K6 CPU I suspect that I need an RPM for the i586 architecture.
Unfortunately, another bug, #81703, makes my floppy drive inaccessible under
RH8.0 so I can't use a driver disk.  Would it be possible to get an i586 version
of the aic7xxx-6.2.28 RPM ?

Ken Riley
khriley@ameritech.net
Comment 8 Justin T. Gibbs 2003-01-22 18:13:14 EST
I just updated the RPM to include i586 modules.  I believe that if
you use the -ignorearch flag to RPM, it will install correctly for
you.  Let me know if not.
Comment 9 Kenneth H. Riley 2003-01-23 00:51:15 EST
Created attachment 89543 [details]
Boot messages captured at a serial console

After installing aic7xxx-6.2.28-rh80.i686.rpm with the --ignorearch flag
the parity error messages are still ocurring.
Comment 10 Kenneth H. Riley 2003-01-23 00:58:41 EST
Created attachment 89544 [details]
messages during aic7xxx-6.2.28-rh80.i686.rpm install

command line was "rpm -Uvh --ignorearch aic7xxx-6.2.28-rh80.i686.rpm"

For some reason, the module didn't install to two of my kernels.
See attachment nohup.1 for error messages during rpm install.

Ken Riley
khriley@ameritech.net
Comment 11 Justin T. Gibbs 2003-01-23 11:06:20 EST
Can you see if you are sharing interrupts between the 29160 and some other
device.  The change in 6.2.28 should disable the generation of PCI parity
error interrupts, but my guess is that the parity error status is still
registered by the controller.  In that case, the only time we would notice
the parity error is during the processing of a shared interrupt request where
no other status is set in the chip.  the output from 'cat /proc/interrupts'
should tell you if the interrupt is shared.
Comment 12 Kenneth H. Riley 2003-01-23 18:20:43 EST
I don't believe that the 29160 is sharing interrupts.  Here is the output
of 'cat /proc/interrupts'.

[root@kenyatta root]# cd /proc
[root@kenyatta proc]# cat interrupts
           CPU0
  0:     330522          XT-PIC  timer
  1:        671          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  5:          0          XT-PIC  SoundScape PNP
  8:          1          XT-PIC  rtc
 11:       3727          XT-PIC  eth0
 12:      17909          XT-PIC  PS/2 Mouse
 15:    7134940          XT-PIC  aic7xxx
NMI:          0
ERR:          0


Comment 13 Justin T. Gibbs 2003-01-27 16:53:17 EST
Can you update your PCI listing by using "lspci -vv" after booting
with the new driver?  The extra verbosity will decode all of the bits
in the command register, including the parity error enable bit.

Thanks!
Comment 14 Kenneth H. Riley 2003-01-27 20:04:19 EST
Created attachment 89630 [details]
Output of lspci -vv after booting with aic7xxx-6.2.28 driver
Comment 15 Bugzilla owner 2004-09-30 11:40:23 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.